
QGIS Application - Bug report #5317

Layers not turning off in layer control when multiple layers selected

2012-04-05 03:10 AM - James Stott

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15020

Description

If I select multiple layers in layer control, it will not turn them all off. It seems to be unpredictable as to which layer it actually turns off from

the selection.

Also when adding new layers QGIS is zooming to the extent of all layers in the project.

Windows 7 64 Bit QGIS Master.

History

#1 - 2012-04-05 11:30 AM - Giovanni Manghi

- Category set to Map Legend

- Operating System set to Windows

- Target version set to Version 1.8.0

- Priority changed from High to Normal

- Status changed from Open to Feedback

I can confirm the issue just on Windows. On Linux works as expected. Can you give it a try on linux and confirm if it works correctly?

I can confirm also the other issue (on both Windows and Linux), but for this I will open a new ticket.

#2 - 2012-04-10 12:59 AM - James Stott

I get the issue on both Ubuntu and Windows.

Also, if I have 3 layers in my map and they are all turned off, then select all the layers and turn them on only the middle layer gets a tick in the checkbox but

does not display on the map. I have to then turn one of the other layers on for the layer to show up on the map (which then shows both of the turned on

layers).

#3 - 2012-04-10 02:25 AM - Giovanni Manghi

James Stott wrote:

I get the issue on both Ubuntu and Windows.

Also, if I have 3 layers in my map and they are all turned off, then select all the layers and turn them on only the middle layer gets a tick in the

checkbox but does not display on the map. I have to then turn one of the other layers on for the layer to show up on the map (which then shows both
of the turned on layers).

with the latest build I still cannot see the issue on linux.

#4 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2012-12-30 10:20 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

reopen if necessary.
